---
- name: install tlp
  pacman:
    name: tlp
    state: present
- name: install ethtool
  pacman:
    state: present
    name: ethtool
- name: install smartmontools
  pacman:
    state: present
    name: smartmontools

- name: install thinkpad specific modules
  when: ansible_product_version is match("ThinkPad")
  block:
    - name: install acpi_call
      pacman:
        name: acpi_call
        state: present
- name: copy tlp config
  template:
    src: tlp.conf.j2
    dest: /etc/tlp.d/00-ansible.conf
    owner: root
    mode: 0644
  notify: restart tlp
- name: enable tlp service
  systemd:
    name: tlp
    state: started
    enabled: yes
